Create view
POST
/logs/{log_id}/views/{view_name}
Creates a new view from a WASM component. The component must implement the primatomic:machine interface and must not exceed 100 MB. View names must be unique within the log. The service begins processing events immediately after creation.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” log_id
required
string
Log ID (UUID)
view_name
required
string
View name
Request Body required
Section titled “Request Body required ”WASM component binary
Array<integer>
Responses
Section titled “ Responses ”View created
object
success
required
boolean
view_id
required
string
Example
{ "success": true, "view_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"}Invalid request
Unauthorized
Log not found
Server error